javax.jdo.annotations

## Enum VersionStrategy

- java.lang.Object
- - java.lang.Enum<VersionStrategy>
  - - javax.jdo.annotations.VersionStrategy

- All Implemented Interfaces:
    Serializable, Comparable<VersionStrategy>

      public enum VersionStrategy
      extends Enum<VersionStrategy>

  Enumeration of the version strategy values.
  Since:
    2.1
  Version:
    2.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATE_TIME`
    `NONE`
    `STATE_IMAGE`
    `UNSPECIFIED`
    `VERSION_NUMBER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VersionStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static VersionStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSPECIFIED

          public static final VersionStrategy UNSPECIFIED

    - #### NONE

          public static final VersionStrategy NONE

    - #### STATE_IMAGE

          public static final VersionStrategy STATE_IMAGE

    - #### DATE_TIME

          public static final VersionStrategy DATE_TIME

    - #### VERSION_NUMBER

          public static final VersionStrategy VERSION_NUMBER

  - ### Method Detail

    - #### values

          public static VersionStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VersionStrategy c : VersionStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VersionStrategy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.